> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Play Rankings

> 获取 Google Play 的标准化公开 Rankings 数据。

# Google Play Rankings

获取 Google Play 的标准化公开 Rankings 数据。

成功返回的每条标准结果扣除 `0.15` 积分。列表接口按 `results_limit` 预扣并按实际结果结算。

## 请求体

```json theme={"system"}
{
  "urls": [
    "https://play.google.com/store/apps/collection/topselling_free"
  ],
  "results_limit": 3
}
```

## 通过 MCP 使用

| 接口             | 值                                                          |
| -------------- | ---------------------------------------------------------- |
| REST           | `POST /v1/google-play/app-rankings`                        |
| Compact MCP    | `socq_execute` with `endpoint: "google-play/app-rankings"` |
| Typed MCP      | `socq_google_play_app_rankings`                            |
| Exact-tool URL | `https://api.socq.ai/mcp?tools=google_play_rankings`       |
| CLI            | `socq google-play app-rankings`                            |

<Info>
  请求成功后会返回 `task_id`。使用 `socq_get_task` 查询任务，成功后从 `results.items` 读取标准化结果。
</Info>

## 结果字段

| 字段                | 类型              | 可为空 | 说明                                       |
| ----------------- | --------------- | --- | ---------------------------------------- |
| `id`              | `string`        | 是   | 当前结果项的唯一标识。                              |
| `platform`        | `string`        | 否   | 结果所属的平台，例如 `instagram` 或 `linkedin`。     |
| `resource`        | `string`        | 否   | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type`            | `string`        | 否   | 结果项的类别，例如 `video`、`post` 或 `comment`。    |
| `url`             | `string`        | 是   | 结果项的公开访问地址（如可获得）。                        |
| `published_at`    | `string`        | 是   | 源内容的发布时间（如可获得），使用 ISO 8601 格式。           |
| `collected_at`    | `string`        | 否   | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。         |
| `app_id`          | `string`        | 是   | 应用的公开标识或包名。                              |
| `name`            | `string`        | 是   | 应用名称。                                    |
| `text`            | `string`        | 是   | 结果项的主要文本内容。                              |
| `developer`       | `string`        | 是   | 应用开发者或发行方名称。                             |
| `category`        | `string`        | 是   | 结果项所属分类。                                 |
| `rating`          | `number`        | 是   | 平台报告的评分值。                                |
| `reviews_count`   | `integer`       | 是   | 评价数量。                                    |
| `installs`        | `string`        | 是   | 应用商店报告的安装量或下载量区间。                        |
| `price`           | `object`        | 是   | 条目或商品的价格信息。                              |
| `price`           | `object`        | 否   | 标准结果中的字段值。                               |
| `price.amount`    | `number`        | 是   | 货币金额的数值。                                 |
| `price.currency`  | `string`        | 是   | 货币金额所使用的币种代码或符号。                         |
| `price.formatted` | `string`        | 是   | 便于阅读的价格或薪酬文本。                            |
| `rank`            | `integer`       | 是   | 结果在来源列表或排名中的位置。                          |
| `media`           | `array<object>` | 是   | 结果附带的图片、视频或其他媒体。                         |

## 任务完成响应

```json theme={"system"}
{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "task_example",
    "public_id": "google-play/app-rankings",
    "status": "succeeded",
    "result_count": 1,
    "credits_amount": 0.15,
    "results": {
      "schema_id": "app",
      "schema_version": "1.0",
      "items": [
        {
          "id": "com.openai.chatgpt",
          "platform": "google-play",
          "resource": "app-rankings",
          "type": "app-ranking",
          "url": "https://play.google.com/store/apps/details/ChatGPT?id=com.openai.chatgpt&hl=en",
          "published_at": "2026-08-17T11:41:08.164000Z",
          "collected_at": "2026-08-17T11:41:09.748230Z",
          "app_id": "com.openai.chatgpt",
          "name": "ChatGPT",
          "text": "Introducing ChatGPT for Android: OpenAI's latest advancements at your fingertips.",
          "developer": "OpenAI",
          "category": "Productivity",
          "rating": 4.7,
          "reviews_count": 52491325,
          "installs": "1477728065",
          "price": null,
          "rank": 1,
          "media": [
            {
              "type": "image",
              "url": "https://play-lh.googleusercontent.com/dPc3vh4x7L3gJ3_vFLT_dw9BY9ZNXEjcu3eBlXOkkn3klpNfUo3perqmeFqrmFUNB11IcU94wmbgkL9uQ4KReoA",
              "thumbnail_url": null,
              "width": null,
              "height": null,
              "duration_seconds": null
            }
          ]
        }
      ],
      "limit": 20,
      "next_cursor": null,
      "has_more": false
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/google-play/app-rankings
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-d93e6d4f8368
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/google-play/app-rankings:
    post:
      tags:
        - google-play
      summary: Google Play Rankings
      description: 获取 Google Play 的标准化公开 Rankings 数据。
      operationId: socq_google_play_app_rankings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                results_limit:
                  type: integer
                  minimum: 1
                  maximum: 2000
                  default: 100
                  description: 最多保存的结果数，实际结果可能少于该值。
                urls:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  description: 公开内容、主页或商品 URL 列表。每个 URL 分别应用结果数量上限，至少提供 1 项。
              required:
                - urls
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````